zenilib: zenilib/jni/external/lib3ds/src/lib3ds_matrix.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
lib3ds_matrix.c File Reference
`#include "lib3ds_impl.h"`

Go to the source code of this file.

## Functions

static float | det2x2 (float a, float b, float c, float d)
static float | det3x3 (float a1, float a2, float a3, float b1, float b2, float b3, float c1, float c2, float c3)
void | lib3ds_matrix_add (float m[4][4], float a[4][4], float b[4][4])
void | lib3ds_matrix_camera (float matrix[4][4], float pos[3], float tgt[3], float roll)
void | lib3ds_matrix_copy (float dest[4][4], float src[4][4])
float | lib3ds_matrix_det (float m[4][4])
void | lib3ds_matrix_identity (float m[4][4])
int | lib3ds_matrix_inv (float m[4][4])
void | lib3ds_matrix_mult (float m[4][4], float a[4][4], float b[4][4])
void | lib3ds_matrix_neg (float m[4][4])
void | lib3ds_matrix_rotate (float m[4][4], float angle, float ax, float ay, float az)
void | lib3ds_matrix_rotate_quat (float m[4][4], float q[4])
void | lib3ds_matrix_scalar (float m[4][4], float k)
void | lib3ds_matrix_scale (float m[4][4], float x, float y, float z)
void | lib3ds_matrix_sub (float m[4][4], float a[4][4], float b[4][4])
void | lib3ds_matrix_translate (float m[4][4], float x, float y, float z)
void | lib3ds_matrix_transpose (float m[4][4])
void | lib3ds_matrix_zero (float m[4][4])

## Function Documentation

static float det2x2 | ( | float | a,
|  | float | b,
|  | float | c,
|  | float | d
| ) |  |

static

Definition at line 167 of file lib3ds_matrix.c.

Referenced by det3x3().

static float det3x3 | ( | float | a1,
|  | float | a2,
|  | float | a3,
|  | float | b1,
|  | float | b2,
|  | float | b3,
|  | float | c1,
|  | float | c2,
|  | float | c3
| ) |  |

static

Definition at line 175 of file lib3ds_matrix.c.

References det2x2().

Referenced by lib3ds_matrix_det().